.tchat {
  height: 60dvh;
  width: 80%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.tchat .messages {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
  overflow-y: auto;
  padding: 20px;
}

.tchat .messageContainer {
  display: flex;
  align-items: center;
  gap: 5px;
  width: 100%;
  position: relative;
}

.tchat .messageContainer img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.tchat .messageContainer svg {
  width: 20px;
  height: 20px;
  position: relative;
  stroke: var(--secondary);
  cursor: pointer;
  left: -2rem;
  z-index: 2;
  transition: all 0.2s ease-in;
}

.tchat .messageContainer:hover svg {
  left: 0;
}

.tchat .messageContainer .message {
  font-size: 0.85rem;
  z-index: 5;
}

.tchat .message .text {
  background-color: var(--quaternary);
  color: var(--primary);
  border-radius: 10px;
  padding: 0.8rem;
}

.tchat .messageContainer .extra {
  position: absolute;
  visibility: hidden;
  z-index: -1;
  bottom: 0;
  left: 0;
  color: var(--secondary);
  font-size: 0.7rem;
  transition: all 0.2s ease-in;
}

.tchat .message:hover + .extra {
  visibility: visible;
  bottom: -1.3rem;
}

/* SELF MESSAGE */
.tchat .messageContainer[type="self"] {
  flex-direction: row-reverse;
}

.tchat .messageContainer[type="self"] .text {
  background-color: var(--primary);
  color: var(--quaternary);
}

.tchat .messageContainer[type="self"] .extra {
  left: auto;
  right: 1rem;
}

.tchat .messageContainer[type="self"] svg {
  right: -2rem;
  left: auto;
}

.tchat .messageContainer[type="self"]:hover svg {
  right: 0;
}

/* TYPING */
.typing {
  width: 100%;
  display: none;
  gap: 10px;
}

.typing .userTyping {
  display: flex;
  align-items: center;
  gap: 5px;
}

.typing .userTyping img {
  width: 15px;
  height: 15px;
  border-radius: 50%;
}

.typing .typingBubble {
  width: 75px;
}

.typing .cls-1 {
  fill: var(--primary);
  fill-rule: evenodd;
}

.typing .dot {
  fill: var(--quaternary);
  transform-origin: 50% 50%;
  animation: ball-beat 1.1s 0s infinite cubic-bezier(0.445, 0.05, 0.55, 0.95);
}

.typing .dot:nth-child(2) {
  animation-delay: 0.3s;
}

.typing .dot:nth-child(3) {
  animation-delay: 0.6s;
}

@keyframes ball-beat {
  0% {
    opacity: 0.7;
  }
  33.33% {
    opacity: 0.55;
  }
  66.67% {
    opacity: 0.4;
  }
  100% {
    opacity: 1;
  }
}

/* SEND MESSAGE */
.tchat .sendMessage {
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: center;
  width: 100%;
  background-color: var(--primary);
  padding: 0.7rem 1rem;
  border-radius: 30px;
  margin-top: auto;
}

.tchat .sendInput {
  width: 100%;
  color: var(--quaternary);
}

.tchat .sendInput::-webkit-input-placeholder {
  font-weight: 100;
  color: var(--quaternary);
}

.tchat .sendButton {
  height: 1.3em;
  width: 1.3em;
  fill: var(--quaternary);
}

.tchat .sendButton svg {
  fill: var(--quaternary);
  transition: all 0.4s ease;
}

.tchat .sendButton:hover svg {
  fill: var(--secondary);
  transform: rotate(-60deg);
}
